<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.docus.server.infrastructure.mapper.OcrRuleMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap"
               type="com.docus.server.entity.segmentation.OcrRule">
                    <id column="id" property="id"/>
                    <result column="assort_id" property="assortId"/>
                    <result column="match_ratio" property="matchRatio"/>
                    <result column="key_word" property="keyWord"/>
                    <result column="json" property="json"/>
                    <result column="version" property="version"/>
                    <result column="is_use_second" property="isUseSecond"/>
                    <result column="create_time" property="createTime"/>
                    <result column="update_time" property="updateTime"/>
        </resultMap>

            <!-- 通用查询结果列 -->
            <sql id="Base_Column_List">
                id, assort_id, match_ratio, key_word, json, version, is_use_second, create_time, update_time
            </sql>

</mapper>
